org.apache.ignite.internal.processors.cache

## Class CachePartialUpdateCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.CachePartialUpdateCheckedException

All Implemented Interfaces:
  Serializable

    public class CachePartialUpdateCheckedException
    extends IgniteCheckedException

Exception thrown from non-transactional cache in case when update succeeded only partially. One can get list of keys for which update failed with method `failedKeys()`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CachePartialUpdateCheckedException(String msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Collection<?> failedKeys, Throwable err)`
`void` `add(Collection<?> failedKeys, Throwable err, AffinityTopologyVersion topVer)`
`<K> Collection<K>` `failedKeys()` Gets collection of failed keys.
`String` `getMessage()`
`AffinityTopologyVersion` `topologyVersion()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CachePartialUpdateCheckedException

    public CachePartialUpdateCheckedException(String msg)

Parameters:
  `msg` - Error message.

### Method Detail

#### failedKeys

    public <K> Collection<K> failedKeys()

Gets collection of failed keys.

Returns:
  Collection of failed keys.

#### add

    public void add(Collection<?> failedKeys,
                    Throwable err,
                    AffinityTopologyVersion topVer)

Parameters:
  `failedKeys` - Failed keys.
  `err` - Error.
  `topVer` - Topology version for failed update.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version.

#### add

    public void add(Collection<?> failedKeys,
                    Throwable err)

Parameters:
  `failedKeys` - Failed keys.
  `err` - Error.

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018